#67 RFC: Provide qemu package
Opened a year ago by bkircher. Modified 4 months ago

Add a maintained, well tested, and recent version of qemu in Stream 8 based on Fedora rawhide packaging.

Other work:
- There is already "Advanced Virtualization" that packages qemu and libvirt. (dnf repoquery --available --repo centos-advanced-virtualization). A tad bit too old and tailored for oVirt.
- There's already a livirt packaged in Hyperscale SIG. Version is 7.1.0

Possibly related:
- https://pagure.io/centos-sig-hyperscale/sig/issue/55
- https://pagure.io/centos-sig-hyperscale/sig/issue/16


Hyperscale policy is to prefer shipping in EPEL first if it's possible, so for qemu package EPEL would be the first place to go. If there are problems, we can always go and bring this into Hyperscale SIG.

Pros: Hyperscale depends on EPEL anyway and can consume qemu package, having qemu in EPEL would make it's audience wider.

Either way, good thing would be to also take care of https://pagure.io/centos-sig-hyperscale/sig/issue/55 while at it.

I leave this here open to track progress unless we find a better place for this issue.

Metadata Update from @bkircher:
- Issue assigned to bkircher

a year ago

Metadata Update from @ngompa:
- Issue tagged with: new-package

a year ago

Could nvme device emulation also be enabled under this request, or do I need to open a separate ticket for that?

Sure we could.

Thank you! :)

@bkircher are you still interested in working on this?

Login to comment on this ticket.